{
  "name": "lila",
  "version": "1.0.0",
  "description": "a vocabulary trainer",
  "private": true,
  "scripts": {
    "build": "pnpm --filter @lila/shared build && pnpm --filter @lila/db build && pnpm --filter @lila/api build",
    "dev": "concurrently --names \"api,web\" -c \"magenta.bold,green.bold\" \"pnpm --filter @lila/api dev\" \"pnpm --filter @lila/web dev\"",
    "prepare": "husky",
    "test": "vitest",
    "test:run": "vitest run",
    "lint": "eslint .",
    "format": "prettier --write .",
    "format:check": "prettier --check .",
    "typecheck": "tsc --build --noEmit"
  },
  "lint-staged": {
    "**/*.{ts,tsx}": [
      "prettier --write",
      "eslint --fix"
    ],
    "**/*.{js,mjs,json,md,css,html}": [
      "prettier --write"
    ]
  },
  "packageManager": "pnpm@10.33.2",
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@tanstack/eslint-plugin-router": "^1.161.6",
    "@vitest/coverage-v8": "^4.1.0",
    "concurrently": "^9.2.1",
    "eslint": "^10.0.3",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "husky": "^9.1.7",
    "lint-staged": "^16.4.0",
    "prettier": "^3.8.1",
    "typescript": "^5.9.3",
    "typescript-eslint": "^8.57.1",
    "vitest": "^4.1.0"
  }
}
